Package lxml :: Package tests :: Module test_nsclasses :: Class ETreeNamespaceClassesTestCase

[frames] | no frames]

# Class ETreeNamespaceClassesTestCase

source code

                   object --+
                            |
            unittest.TestCase --+
                                |
    common_imports.HelperTestCase --+
                                    |
                                   ETreeNamespaceClassesTestCase

Nested Classes
| default_class
| maeh_class
| bluff_class
Inherited from `unittest.TestCase`: `failureException`

Instance Methods

setUp(self) Hook method for setting up the test fixture before exercising it. | source code

tearDown(self) Hook method for deconstructing the test fixture after testing it. | source code

test_registry(self) | source code

test_ns_classes(self) | source code

test_default_tagname(self) | source code

test_create_element(self) | source code

test_create_element_default(self) | source code

Inherited from `common_imports.HelperTestCase`: `parse`

Inherited from `unittest.TestCase`: `__call__`, `__init__`, `__repr__`, `__str__`, `assertAlmostEqual`, `assertAlmostEquals`, `assertEqual`, `assertEquals`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertRaises`, `assertTrue`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `shortDescription`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `common_imports.HelperTestCase`: `assertFalse`

Properties
Inherited from `object`: `__class__`

Method Details

### setUp(self)

source code

Hook method for setting up the test fixture before exercising it.

Overrides: unittest.TestCase.setUp
  (inherited documentation)

### tearDown(self)

source code

Hook method for deconstructing the test fixture after testing it.

Overrides: unittest.TestCase.tearDown
  (inherited documentation)